Skip to main content
PUT
Rename a database

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceSlug
string
required
databaseName
string
required

Body

application/json

The new name for the database.

Parameters for renaming a database.

name
string
required

The new name of the database. Database names must be less than 64 characters, and unique within a workspace. Names may contain letters (lower or uppercase), numbers, and underscores, and must begin with a letter or underscore.

Minimum string length: 1
Example:

"my_spectacular_db"

Response

Database renamed

id
string
required
name
string
required
Minimum string length: 1
workspace
object
required
status
enum<string>
required
Available options:
PENDING,
REQUESTED,
BUILT,
POOLED,
READY
region
enum<string>
required
Available options:
AWS_US_WEST_2,
AWS_EU_CENTRAL_1,
AZURE_EASTUS
expandable
boolean
required
apiHost
string<uri>
required
created
string<date-time>
deleted
string<date-time>
dbHost
string<uri>
parent
object